Subject: categories: Wells's reply

From: Michael Barr <[email-masked]>
Date: Sat, 19 May 2001 08:07:09 -0400 (EDT)

I unfortunately deleted Charles's reply to the question about dimension
being an operation.  But thinking about it I realized that dimension is
not an operation in the theory of vector spaces either; It is not
preserved by morphisms.  For vector spaces, even finite dimensional ones,
the existence of dimension is a theorem.  But the original question was
not about vector spaces, but about coordinate spaces.  For which the only
morphisms are square permutation matrices.  

And the distributive law does not say that multiplication is a morphism
with respect to addition.  It does say that multiplication by a fixed
element (on the right or the left) is a morphism with respect to addition.  
But I don't think that an infinitary distributive law (say between
infinite sups and infinite infs) can be stated in such a way at all.

Michael